<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <link rel="stylesheet" href="./assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="./assets/main.css">
    <title>Teste</title>
</head>
<body ng-app="app">
    <div class="container" ng-controller="userController">
        <div class="row">
            <div class="col-xs-12 col-sm-6">
                <h1>GitHub <br/> <small>Digite um nome de usuário do github para ver as informações.</small>
                </h1>
                <form ng-submit="submit()">
                    <div class="form-group">
                        <label for="">Usuário</label>
                        <input type="text" class="form-control" id="" placeholder="Login" ng-model="user">
                    </div>
                    <button type="submit" class="btn btn-primary" ng-disabled="!user">Enviar</button>
                </form>
            </div>
        </div>
        <div class="alert alert-warning" role="alert" ng-if="error == '404'">
            <h3> usuário não encontrado</h3>
        </div>
        <div class="row">
            <div class="col-xs-12 col-sm-12 user-info" ng-if="userData">

                <h1>Informações do usuário</h1>
                <div class="row">

                    <div class="col-xs-12 col-md-3">
                        <div class="avatar">
                            <img src="" ng-src="{{userData.avatar_url}}" alt="">
                        </div>
                        <h2 ng-bind="userData.login"></h2>
                    </div>
                    <div class="col-xs-12 col-md-9">
                        <h2>Repositórios</h2>

                        <div class="alert alert-danger" role="alert" ng-if="errorRepos">
                            <h3> Erro ao receber os repositórios - {{errorRepos}}</h3>
                        </div>
                        <ul class="repositories" ng-if="userRepos">
                            <li ng-repeat="repo in userRepos">
                                <a href="{{repo.url}}"><h3 ng-bind="repo.name"></h3></a>
                                <p ng-bind="repo.description || 'Sem descrição'"></p>
                            </li>
                        </ul>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <script src="assets/angular.min.js"></script>
    <script src="app.js"></script>
</body>
</html>